# -*- coding: utf-8 -*-
# Generated by Django 1.9.6 on 2016-07-29 14:32
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import wellsfargo.core.fields


class Migration(migrations.Migration):

    dependencies = [
        ('oscar_accounts', '0003_alter_ip_address'),
        ('wellsfargo', '0008_auto_20160701_1855'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='cacreditapp',
            options={'verbose_name': 'CA Individual Credit Application', 'verbose_name_plural': 'CA Individual Credit Applications'},
        ),
        migrations.AlterModelOptions(
            name='cajointcreditapp',
            options={'verbose_name': 'CA Joint Credit Application', 'verbose_name_plural': 'CA Joint Credit Applications'},
        ),
        migrations.AlterModelOptions(
            name='uscreditapp',
            options={'verbose_name': 'US Individual Credit Application', 'verbose_name_plural': 'US Individual Credit Applications'},
        ),
        migrations.AlterModelOptions(
            name='usjointcreditapp',
            options={'verbose_name': 'US Joint Credit Application', 'verbose_name_plural': 'US Joint Credit Applications'},
        ),
        migrations.RemoveField(
            model_name='transactionrequest',
            name='plan_number',
        ),
        migrations.RemoveField(
            model_name='transfermetadata',
            name='plan_number',
        ),
        migrations.AddField(
            model_name='cacreditapp',
            name='account',
            field=models.OneToOneField(editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='oscar_accounts.Account', verbose_name='Account'),  # NOQA
        ),
        migrations.AddField(
            model_name='cacreditapp',
            name='created_datetime',
            field=models.DateTimeField(auto_now_add=True, default=None),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='cacreditapp',
            name='modified_datetime',
            field=models.DateTimeField(auto_now=True, default=None),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='cajointcreditapp',
            name='account',
            field=models.OneToOneField(editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='oscar_accounts.Account', verbose_name='Account'),  # NOQA
        ),
        migrations.AddField(
            model_name='cajointcreditapp',
            name='created_datetime',
            field=models.DateTimeField(auto_now_add=True, default=None),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='cajointcreditapp',
            name='modified_datetime',
            field=models.DateTimeField(auto_now=True, default=None),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='transactionrequest',
            name='created_datetime',
            field=models.DateTimeField(auto_now_add=True, default=None),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='transactionrequest',
            name='financing_plan',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='wellsfargo.FinancingPlan', verbose_name='Plan Number'),
        ),
        migrations.AddField(
            model_name='transactionrequest',
            name='modified_datetime',
            field=models.DateTimeField(auto_now=True, default=None),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='transactionrequest',
            name='transfer',
            field=models.OneToOneField(editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='transfer_request', to='oscar_accounts.Transfer', verbose_name='Transfer'),  # NOQA
        ),
        migrations.AddField(
            model_name='transfermetadata',
            name='financing_plan',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='wellsfargo.FinancingPlan', verbose_name='Plan Number'),
        ),
        migrations.AddField(
            model_name='uscreditapp',
            name='account',
            field=models.OneToOneField(editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='oscar_accounts.Account', verbose_name='Account'),  # NOQA
        ),
        migrations.AddField(
            model_name='uscreditapp',
            name='created_datetime',
            field=models.DateTimeField(auto_now_add=True, default=None),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='uscreditapp',
            name='modified_datetime',
            field=models.DateTimeField(auto_now=True, default=None),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='usjointcreditapp',
            name='account',
            field=models.OneToOneField(editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='oscar_accounts.Account', verbose_name='Account'),  # NOQA
        ),
        migrations.AddField(
            model_name='usjointcreditapp',
            name='created_datetime',
            field=models.DateTimeField(auto_now_add=True, default=None),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='usjointcreditapp',
            name='modified_datetime',
            field=models.DateTimeField(auto_now=True, default=None),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='cacreditapp',
            name='app_type',
            field=models.CharField(choices=[('I', 'Individual'), ('J', 'Joint')], default='I', max_length=1, verbose_name='Application Type'),
        ),
        migrations.AlterField(
            model_name='cacreditapp',
            name='insurance',
            field=models.BooleanField(default=False, verbose_name='Optional Insurance'),
        ),
        migrations.AlterField(
            model_name='cacreditapp',
            name='language',
            field=models.CharField(choices=[('E', 'English'), ('F', 'French')], default='E', max_length=1, verbose_name='Language'),
        ),
        migrations.AlterField(
            model_name='cacreditapp',
            name='main_date_of_birth',
            field=wellsfargo.core.fields.DateOfBirthField(null=True, verbose_name='Date of Birth'),
        ),
        migrations.AlterField(
            model_name='cacreditapp',
            name='region',
            field=models.CharField(choices=[('US', 'United States'), ('CA', 'Canada')], default='US', max_length=15, verbose_name='Region'),
        ),
        migrations.AlterField(
            model_name='cacreditapp',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Owner'),
        ),
        migrations.AlterField(
            model_name='cajointcreditapp',
            name='app_type',
            field=models.CharField(choices=[('I', 'Individual'), ('J', 'Joint')], default='I', max_length=1, verbose_name='Application Type'),
        ),
        migrations.AlterField(
            model_name='cajointcreditapp',
            name='insurance',
            field=models.BooleanField(default=False, verbose_name='Optional Insurance'),
        ),
        migrations.AlterField(
            model_name='cajointcreditapp',
            name='joint_date_of_birth',
            field=wellsfargo.core.fields.DateOfBirthField(null=True, verbose_name='Date of Birth'),
        ),
        migrations.AlterField(
            model_name='cajointcreditapp',
            name='language',
            field=models.CharField(choices=[('E', 'English'), ('F', 'French')], default='E', max_length=1, verbose_name='Language'),
        ),
        migrations.AlterField(
            model_name='cajointcreditapp',
            name='main_date_of_birth',
            field=wellsfargo.core.fields.DateOfBirthField(null=True, verbose_name='Date of Birth'),
        ),
        migrations.AlterField(
            model_name='cajointcreditapp',
            name='region',
            field=models.CharField(choices=[('US', 'United States'), ('CA', 'Canada')], default='US', max_length=15, verbose_name='Region'),
        ),
        migrations.AlterField(
            model_name='cajointcreditapp',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Owner'),
        ),
        migrations.AlterField(
            model_name='financingplan',
            name='description',
            field=models.TextField(blank=True, default='', verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='transactionrequest',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='transaction_requests', to=settings.AUTH_USER_MODEL, verbose_name='Requesting User'),  # NOQA
        ),
        migrations.AlterField(
            model_name='uscreditapp',
            name='app_type',
            field=models.CharField(choices=[('I', 'Individual'), ('J', 'Joint')], default='I', max_length=1, verbose_name='Application Type'),
        ),
        migrations.AlterField(
            model_name='uscreditapp',
            name='insurance',
            field=models.BooleanField(default=False, verbose_name='Optional Insurance'),
        ),
        migrations.AlterField(
            model_name='uscreditapp',
            name='language',
            field=models.CharField(choices=[('E', 'English'), ('F', 'French')], default='E', max_length=1, verbose_name='Language'),
        ),
        migrations.AlterField(
            model_name='uscreditapp',
            name='main_date_of_birth',
            field=wellsfargo.core.fields.DateOfBirthField(null=True, verbose_name='Date of Birth'),
        ),
        migrations.AlterField(
            model_name='uscreditapp',
            name='region',
            field=models.CharField(choices=[('US', 'United States'), ('CA', 'Canada')], default='US', max_length=15, verbose_name='Region'),
        ),
        migrations.AlterField(
            model_name='uscreditapp',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Owner'),
        ),
        migrations.AlterField(
            model_name='usjointcreditapp',
            name='app_type',
            field=models.CharField(choices=[('I', 'Individual'), ('J', 'Joint')], default='I', max_length=1, verbose_name='Application Type'),
        ),
        migrations.AlterField(
            model_name='usjointcreditapp',
            name='insurance',
            field=models.BooleanField(default=False, verbose_name='Optional Insurance'),
        ),
        migrations.AlterField(
            model_name='usjointcreditapp',
            name='joint_date_of_birth',
            field=wellsfargo.core.fields.DateOfBirthField(null=True, verbose_name='Date of Birth'),
        ),
        migrations.AlterField(
            model_name='usjointcreditapp',
            name='language',
            field=models.CharField(choices=[('E', 'English'), ('F', 'French')], default='E', max_length=1, verbose_name='Language'),
        ),
        migrations.AlterField(
            model_name='usjointcreditapp',
            name='main_date_of_birth',
            field=wellsfargo.core.fields.DateOfBirthField(null=True, verbose_name='Date of Birth'),
        ),
        migrations.AlterField(
            model_name='usjointcreditapp',
            name='region',
            field=models.CharField(choices=[('US', 'United States'), ('CA', 'Canada')], default='US', max_length=15, verbose_name='Region'),
        ),
        migrations.AlterField(
            model_name='usjointcreditapp',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Owner'),
        ),
    ]
